### A free/open-source library for quantitative finance

Classes
ql/instruments/cpicapfloor.hpp File Reference

zero-inflation-indexed-ratio-with-base option More...

`#include <ql/instrument.hpp>`
`#include <ql/option.hpp>`
`#include <ql/time/calendar.hpp>`
`#include <ql/time/daycounter.hpp>`
`#include <ql/indexes/inflationindex.hpp>`
`#include <ql/cashflows/cpicoupon.hpp>`
Include dependency graph for cpicapfloor.hpp:

## Classes

class | CPICapFloor
| CPI cap or floor. More...

## Detailed Description

zero-inflation-indexed-ratio-with-base option